Subject: RE: in execvp.c undefined reference to 'posix_path_list_p'
From: "Michael Fonte" <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 22 Apr 1999 17:01:21 -0400

Reply I caught this about 30 minutes later.  I am not sure why 'most' of the
source code distributions out there explicitly add -lc as well.  Anyone have
a historical perspective on this.  I suppose there are apps out there that
don't use libc, they either write their own or don't need it.  In these
cases it would be nice to not have to link against libc.  In either case for
compatibility reasons explicitly adding -lc should not cause a fatal error
(IMHO).

The makefile was generated via a configure script from the standard tcl8.0.5
source distribution.

Thanks for the reply,

Michael

-----Original Message-----
From: Mumit Khan [mailto:[email-masked]]
Sent: Thursday, April 22, 1999 4:54 PM
To: Michael Fonte
Cc: [email-masked]
Subject: Re: in execvp.c undefined reference to 'posix_path_list_p'

On Thu, 22 Apr 1999, Michael Fonte wrote:

>
> I just installed cygwin B20.1 and am getting the following error trying to
> compile tcl 8.0.5
>
> When building the final executable
>
> gcc tclAppInit.o -L(snip) -ltcl8.0 -lm -lc -o tclsh

Get rid of the -lc and try again.

I wonder why so many folks insist on explicitly adding -lc???

Regards,
Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]